    The XSPEC pshock model: plane-parallel shocked plasma, constant temperature.

xspshock
The xspshock model is an additive model component.

The model is described at [1] . The set_xsxset and get_xsxset

functions are used to set and query the XSPEC XSET parameters, in particular the keyword "NEIVERS".

>>> create_model_component("xspshock", "mdl")
>>> print(mdl)

Create a component of the xspshock model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.kT thawed 1 0.0808 79.9 keV mdl.Abundanc frozen 1 0 10000 mdl.Tau_l frozen 0 0 5e+13 s/cm^3 mdl.Tau_u thawed 1e+11 1e+08 5e+13 s/cm^3 mdl.redshift frozen 0 -0.999 10 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
kT
The temperature of the plasma, in keV.
Abundanc
The metal abundance of the plasma, as defined by the

set_xsabund function.
Tau_l
The lower limit on the ionization timescale, in s/cm^3.
Tau_u
The upper limit on the ionization timescale, in s/cm^3.
redshift
The redshift of the plasma.
norm
The normalization of the model: see [1] for an explanation of the units.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelPshock.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023